,

DEX 3.16.0.1 Update Available | Download Maintenance Release Now

DEX 3.16.0.1 Update

DEX 3.16.0.1, a Maintenance Release of our top DJ Software, is ready for download.

This free update for DEX 3 DJs is a maintenance release, that means PCDJ development put on their stomping boots and squashed a few bugs and grabbed a wrench for some under-the-hood tweaking. Version 3.16.0.1 a more polished version of DEX 3.16 which was released a few weeks ago along with the new KSR (Karaoke Singer Request) system.

We’ve tested the new release extensively and all reports suggest it’s addresses a few minor issues and improves overall performance. We suggest all DEX 3 customers update to version 3.16.0.1 immediately. If you find any issues, please report in our Facebook User Group.

What’s New, Changed, and Fixed in DEX 3.16.0.1

  • Signed app and installer (Windows) (no more Windows and browser warnings/errors on download/install)
  • Fixed freeze when exiting/saving database (KSR related)
  • Fixed Party Tyme Karaoke 1KB downloaded files – if the download is not OK/complete it will be discarded
  • Fixed browser window size on certain high-res Windows screens
  • Multiple crash fixes and performance improvements

IMPORTANT NOTE: If you receive this warning “setup_dex3_3.16.0.1_mac.pkg can’t be opened because Apple cannot check it for malicious software. this software needs to be updated. Contact the developer for more information” when installing to macOS Catalina please follow the steps on Apple’s website to install DEX 3.

 

Have questions about the latest 3.16.0.1 version of our DEX 3 DJ software or the new KSR Karaoke Singer Request system?  Please leave them in the comments section below!

6 replies
  1. Mr Jim Paul
    Mr Jim Paul says:

    Hi Ryan.
    I’m a longtime PCDJ user(since Red 5.2). Can I reach you via email with a couple of questions?
    Thanks!
    Jim Paul

    Reply
  2. Dwight J Hoover
    Dwight J Hoover says:

    My DEX3 is (I think) 9.0.9. I click on the download but I get nothing. What am I suppose to see?

    Reply
    • Ryan Sherr
      Ryan Sherr says:

      It would have to be version 3.9, which is very old at this point. DEX 3.14 and higher require Windows 8.1 or 10, or macOS 10.14 or higher, to run. When you click the button on this page to download, you should see the download start immediately. It’s a zip file, so you will need to extract the proper installation file for your operating system and install it with your older version of DEX 3 closed to update.

      Reply
  3. Rob Ingram
    Rob Ingram says:

    Having Dex 3 for quite awhile, I tried downloading Dex3.16.0.1 to upgrade ,my MacBook Pro won’t let me, have you any advice on what to do please, many thanks. Rob Ingram.

    Reply

Leave a Reply

Want to join the discussion?
Feel free to contribute!

Leave a Reply

Your email address will not be published. Required fields are marked *